git-annex-dead(1)

NAME
git-annex-dead - hide a lost repository or key

SYNOPSIS
git annex dead [repository ...] [--key somekey ...]

DESCRIPTION
This command exists to deal with situations where data has been lost, and you know it has, and you want to stop being reminded of that fact.

When a repository is specified, indicates that the repository has been irretrievably lost, so it will not be listed in eg, git annex whereis. Repositories can be specified using their remote name, their description, or their UUID. (To undo, use git-annex semitrust.)

When a key is specified, indicates that the content of that key has been irretrievably lost. This makes the key be skipped when operating on all keys with eg --all. (To undo, add the key's content back to the repository, by using eg, git-annex reinject.)

OPTIONS

--key=somekey

    Use to specify a key that is dead.

--json
    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

Also the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

git-annex-trust(1)

git-annex-semitrust(1)

git-annex-untrust(1)

git-annex-renameremote(1)

git-annex-expire(1)

git-annex-fsck(1)

git-annex-reinject(1)

AUTHOR
Joey Hess <id@joeyh.name>